Name:           python-setuptools_git
Version:        1.1
Release:        10
Summary:        Plugin for integrating Git into setuptools
License:        BSD
URL:            https://pypi.python.org/project/setuptools-git/${version}/
Source0:        https://files.pythonhosted.org/packages/source/s/setuptools-git/setuptools-git-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  git

%description
This is a plugin for setup tools that enables Git integration.  Once
installed, Setuptools can be told to include in a module distribution
all the files tracked by git.  This is an alternative to explicit
inclusion specifications with MANIFEST.in.

%package -n python2-setuptools_git
Summary:  Plugin for integrating Git into setuptools

BuildRequires:  python2-devel python2-setuptools
Requires:  python2-setuptools
Provides:  python2-setuptools-git == %{version}-%{release}
%{?python_provide:%python_provide python2-setuptools_git}

%description -n python2-setuptools_git
This is a plugin for setup tools that enables Git integration.  Once
installed, Setuptools can be told to include in a module distribution
all the files tracked by git.  This is an alternative to explicit
inclusion specifications with MANIFEST.in.

%package -n python3-setuptools_git
Summary:  Plugin for integrating Git into setuptools

BuildRequires:  python3-devel python3-setuptools
Requires:  python3-setuptools
Provides:  python3-setuptools-git == %{version}-%{release}
%{?python_provide:%python_provide python3-setuptools_git}

%description -n python3-setuptools_git
This is a plugin for setup tools that enables Git integration.  Once
installed, Setuptools can be told to include in a module distribution
all the files tracked by git.  This is an alternative to explicit
inclusion specifications with MANIFEST.in.

%prep
%autosetup -n setuptools-git-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{_bindir}/git config --global user.email "test@example.com"
%{_bindir}/git config --global user.name "test"
%{_bindir}/git init
%{_bindir}/git add .
%{_bindir}/git commit -m 'commit test'
%{__python2} setup.py test -vv
export LANG="en_US.UTF-8"
%{__python3} setup.py test -vv
unset LANG

%files -n python2-setuptools_git
%doc PKG-INFO TODO.txt README.rst
%license LICENSE.txt AUTHORS.txt
%{python2_sitelib}/setuptools_git*/

%files -n python3-setuptools_git
%doc PKG-INFO TODO.txt README.rst
%license LICENSE.txt AUTHORS.txt
%{python3_sitelib}/setuptools_git*/

%changelog
* Tue Jan 07 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.1.1-4
- Package init
